import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, l = (i, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, s) : r, c = i.length - 1, p; c >= 0; c--)
    (p = i[c]) && (e = (t ? p(r, s, e) : p(e)) || e);
  return t && e && g(r, s, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--clockRefreshLarge", this.class = "c-pieIcon c-pieIcon--clockRefreshLarge", this.name = "IconClockRefreshLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--clockRefreshLarge"><path d="M16 3.75A12.25 12.25 0 0 0 5.579 22.431l-2.625-.376-.245 1.75 4.812.691a.875.875 0 0 0 .989-.743l.682-4.813-1.75-.245-.402 2.852A10.378 10.378 0 0 1 5.5 16 10.5 10.5 0 1 1 16 26.5v1.75a12.25 12.25 0 1 0 0-24.5Z"></path><path d="m20.296 20.253-5.678-3.404V9h1.75v6.851l4.83 2.896-.902 1.506Z"></path></svg>`;
  }
};
l([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
l([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = l([
  f("icon-clock-refresh-large")
], o);
export {
  o as IconClockRefreshLarge
};
